Index: /doc/html/libDS__ui_8h__incl.dot
===================================================================
--- /doc/html/libDS__ui_8h__incl.dot (revision 264)
+++ /doc/html/libDS__ui_8h__incl.dot (revision 270)
@@ -12,22 +12,24 @@
   Node4 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node5 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node2 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node6 [label="libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
-  Node6 -> Node3 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node6 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node7 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node3 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node6 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node2 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node7 [label="libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
+  Node7 -> Node3 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node8 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node8 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node1 -> Node9 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node9 [label="stat/loggers_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers__ui_8h.html",tooltip="UI builders for Loggers."];
-  Node9 -> Node10 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node10 [label="loggers.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers_8h.html",tooltip="Loggers for storing results of experiments."];
-  Node10 -> Node3 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node9 -> Node11 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node11 [label="uibuilder.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$uibuilder_8h-source.html"];
-  Node11 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node8 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node8 -> Node9 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node9 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node9 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node1 -> Node10 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node10 [label="stat/loggers_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers__ui_8h.html",tooltip="UI builders for Loggers."];
+  Node10 -> Node11 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node11 [label="loggers.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers_8h.html",tooltip="Loggers for storing results of experiments."];
   Node11 -> Node3 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node11 -> Node12 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node12 [label="libconfig/libconfig.h++",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node10 -> Node12 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node12 [label="uibuilder.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$uibuilder_8h-source.html"];
+  Node12 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node12 -> Node3 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node12 -> Node13 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node13 [label="libconfig/libconfig.h++",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
 }
Index: /doc/html/mixef_8h__incl.dot
===================================================================
--- /doc/html/mixef_8h__incl.dot (revision 261)
+++ /doc/html/mixef_8h__incl.dot (revision 270)
@@ -12,15 +12,17 @@
   Node4 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node5 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node1 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node6 [label="../stat/libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
-  Node6 -> Node3 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node6 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node7 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node3 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node6 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node1 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node7 [label="../stat/libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
+  Node7 -> Node3 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node8 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node8 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node1 -> Node9 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node9 [label="../stat/emix.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$emix_8h.html",tooltip="Probability distributions for Mixtures of pdfs."];
-  Node9 -> Node3 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node9 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node8 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node8 -> Node9 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node9 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node9 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node1 -> Node10 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node10 [label="../stat/emix.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$emix_8h.html",tooltip="Probability distributions for Mixtures of pdfs."];
+  Node10 -> Node3 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node10 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
 }
Index: /doc/html/classbdm_1_1ArxDS__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1ArxDS__coll__graph.md5 (revision 269)
+++ /doc/html/classbdm_1_1ArxDS__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-5d4db6c08d202075fc4d177d9df0d54b
+368dc42fd7987988d9b3f2cf02b1a284
Index: /doc/html/classbdm_1_1BMEF__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1BMEF__coll__graph.md5 (revision 269)
+++ /doc/html/classbdm_1_1BMEF__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-8bd5900442e99b9acae71727b4c452ba
+b8c8475261569b67116469bd822dc9c9
Index: /doc/html/classbdm_1_1ARX__coll__graph.dot
===================================================================
--- /doc/html/classbdm_1_1ARX__coll__graph.dot (revision 269)
+++ /doc/html/classbdm_1_1ARX__coll__graph.dot (revision 270)
@@ -10,5 +10,5 @@
   Node4 -> Node3 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node4 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv",fontname="FreeSans"];
+  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv",fontname="FreeSans"];
   Node5 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node4 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
Index: /doc/html/emix_8h__incl.md5
===================================================================
--- /doc/html/emix_8h__incl.md5 (revision 261)
+++ /doc/html/emix_8h__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-f0032be2514cb7bb5359f6891e725801
+e1b6a29b385cc32bb7c0a38f7ca5e0b0
Index: /doc/html/libEF_8h__incl.dot
===================================================================
--- /doc/html/libEF_8h__incl.dot (revision 261)
+++ /doc/html/libEF_8h__incl.dot (revision 270)
@@ -10,8 +10,10 @@
   Node3 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node4 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node1 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node5 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node5 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node6 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node6 -> Node3 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node2 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node5 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node1 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node6 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node6 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node7 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node7 -> Node3 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
 }
Index: /doc/html/classbdm_1_1EKFCh__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1EKFCh__coll__graph.md5 (revision 269)
+++ /doc/html/classbdm_1_1EKFCh__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-76b9d965311e8e54d4a4711a0f64f70b
+802da68ecb8f268899c79091d256ee7d
Index: /doc/html/classbdm_1_1KalmanCh__coll__graph.dot
===================================================================
--- /doc/html/classbdm_1_1KalmanCh__coll__graph.dot (revision 269)
+++ /doc/html/classbdm_1_1KalmanCh__coll__graph.dot (revision 270)
@@ -10,5 +10,5 @@
   Node4 -> Node3 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node4 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv",fontname="FreeSans"];
+  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv",fontname="FreeSans"];
   Node5 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node4 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
Index: /doc/html/classbdm_1_1mepdf__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1mepdf__coll__graph.md5 (revision 261)
+++ /doc/html/classbdm_1_1mepdf__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-207de0146712460615126c1e326a9deb
+725fc589961be131042980fcc73ca381
Index: /doc/html/classbdm_1_1mgamma__fix__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1mgamma__fix__coll__graph.md5 (revision 261)
+++ /doc/html/classbdm_1_1mgamma__fix__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-b0a0a7e31d4841032c72781bd673984b
+95ce1c6fa1b05a19f97596d0d656aa7b
Index: /doc/html/classbdm_1_1KFcondQR__coll__graph.dot
===================================================================
--- /doc/html/classbdm_1_1KFcondQR__coll__graph.dot (revision 269)
+++ /doc/html/classbdm_1_1KFcondQR__coll__graph.dot (revision 270)
@@ -10,5 +10,5 @@
   Node4 -> Node3 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node4 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv",fontname="FreeSans"];
+  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv",fontname="FreeSans"];
   Node5 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node4 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
Index: /doc/html/classbdm_1_1BM__coll__graph.dot
===================================================================
--- /doc/html/classbdm_1_1BM__coll__graph.dot (revision 269)
+++ /doc/html/classbdm_1_1BM__coll__graph.dot (revision 270)
@@ -6,5 +6,5 @@
   Node2 -> Node1 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node2 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node3 -> Node1 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv",fontname="FreeSans"];
+  Node3 -> Node1 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv",fontname="FreeSans"];
   Node3 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node2 -> Node3 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
Index: /doc/html/classbdm_1_1EKFCh__unQ__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1EKFCh__unQ__coll__graph.md5 (revision 269)
+++ /doc/html/classbdm_1_1EKFCh__unQ__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-ce834db2ca14c08a944dda03948f74a8
+76323a05d34c4c2722776ffaf9da6b84
Index: /doc/html/classbdm_1_1mpdf__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1mpdf__coll__graph.md5 (revision 261)
+++ /doc/html/classbdm_1_1mpdf__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-1ce810308230ae11a0b6097a6b549e5e
+6ac36c8d0a371ed50081d86cf8fcaab8
Index: /doc/html/classbdm_1_1mratio__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1mratio__coll__graph.md5 (revision 269)
+++ /doc/html/classbdm_1_1mratio__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-728bd89ba3599c775487fabc9102f977
+e0b6db02ce0738475f662cf4ca869c66
Index: /doc/html/classbdm_1_1Kalman__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1Kalman__coll__graph.md5 (revision 269)
+++ /doc/html/classbdm_1_1Kalman__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-6dcaa6b096a0150bdc8a835646f4f764
+bdde23ce13ba633dc10dae11cae95a42
Index: /doc/html/classbdm_1_1mprod__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1mprod__coll__graph.md5 (revision 261)
+++ /doc/html/classbdm_1_1mprod__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-1414c614c3f2f8ba4478e856eb492aae
+ef1c09246e6807e296a9f45b29a17890
Index: /doc/html/classbdm_1_1PF__coll__graph.dot
===================================================================
--- /doc/html/classbdm_1_1PF__coll__graph.dot (revision 269)
+++ /doc/html/classbdm_1_1PF__coll__graph.dot (revision 270)
@@ -8,5 +8,5 @@
   Node3 -> Node2 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node3 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node4 -> Node2 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv",fontname="FreeSans"];
+  Node4 -> Node2 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv",fontname="FreeSans"];
   Node4 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node3 -> Node4 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
@@ -14,5 +14,5 @@
   Node5 [label="bdm::mpdf",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf.html",tooltip="Conditional probability density, e.g. modeling some dependencies."];
   Node3 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node4 -> Node5 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="rv\nrvc",fontname="FreeSans"];
+  Node4 -> Node5 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="rvc",fontname="FreeSans"];
   Node6 -> Node5 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="ep",fontname="FreeSans"];
   Node6 [label="bdm::epdf",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1epdf.html",tooltip="Probability density function with numerical statistics, e.g. posterior density."];
Index: /doc/html/arx__ui_8h__incl.md5
===================================================================
--- /doc/html/arx__ui_8h__incl.md5 (revision 269)
+++ /doc/html/arx__ui_8h__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-bb9d770e809fc91fd7093a08b6200836
+bd643ef50a5bca10b8b7924bd6037c9d
Index: /doc/html/classbdm_1_1MPF__coll__graph.dot
===================================================================
--- /doc/html/classbdm_1_1MPF__coll__graph.dot (revision 269)
+++ /doc/html/classbdm_1_1MPF__coll__graph.dot (revision 270)
@@ -10,5 +10,5 @@
   Node4 -> Node3 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node4 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv",fontname="FreeSans"];
+  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv",fontname="FreeSans"];
   Node5 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node4 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
@@ -16,5 +16,5 @@
   Node6 [label="bdm::mpdf",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf.html",tooltip="Conditional probability density, e.g. modeling some dependencies."];
   Node4 -> Node6 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node5 -> Node6 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="rv\nrvc",fontname="FreeSans"];
+  Node5 -> Node6 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="rvc",fontname="FreeSans"];
   Node7 -> Node6 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="ep",fontname="FreeSans"];
   Node7 [label="bdm::epdf",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1epdf.html",tooltip="Probability density function with numerical statistics, e.g. posterior density."];
Index: /doc/html/arx__test_8cpp__incl.md5
===================================================================
--- /doc/html/arx__test_8cpp__incl.md5 (revision 261)
+++ /doc/html/arx__test_8cpp__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-8db335d8f44c722f6ebed35705790645
+835fb172c6fbd2afc9326630e0ab9b68
Index: /doc/html/UIArxDS__test_8cpp__incl.dot
===================================================================
--- /doc/html/UIArxDS__test_8cpp__incl.dot (revision 269)
+++ /doc/html/UIArxDS__test_8cpp__incl.dot (revision 270)
@@ -14,31 +14,33 @@
   Node5 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node6 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node3 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node7 [label="libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
-  Node7 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node8 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node4 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node7 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node3 -> Node8 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node8 [label="libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
+  Node8 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node8 -> Node9 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node9 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node9 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node2 -> Node10 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node10 [label="stat/loggers_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers__ui_8h.html",tooltip="UI builders for Loggers."];
-  Node10 -> Node11 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node11 [label="loggers.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers_8h.html",tooltip="Loggers for storing results of experiments."];
-  Node11 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node10 -> Node12 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node12 [label="uibuilder.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$uibuilder_8h-source.html"];
-  Node12 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node9 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node9 -> Node10 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node10 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node10 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node2 -> Node11 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node11 [label="stat/loggers_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers__ui_8h.html",tooltip="UI builders for Loggers."];
+  Node11 -> Node12 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node12 [label="loggers.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers_8h.html",tooltip="Loggers for storing results of experiments."];
   Node12 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node12 -> Node13 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node13 [label="libconfig/libconfig.h++",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node1 -> Node14 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node14 [label="estim/arx_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$arx__ui_8h.html",tooltip="UI for ARX estimators."];
-  Node14 -> Node15 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node15 [label="arx.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$arx_8h.html",tooltip="Bayesian Filtering for generalized autoregressive (ARX) model."];
+  Node11 -> Node13 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node13 [label="uibuilder.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$uibuilder_8h-source.html"];
+  Node13 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node13 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node13 -> Node14 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node14 [label="libconfig/libconfig.h++",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node1 -> Node15 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node15 [label="estim/arx_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$arx__ui_8h.html",tooltip="UI for ARX estimators."];
   Node15 -> Node16 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node16 [label="../stat/libFN.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libFN_8h-source.html"];
-  Node16 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node15 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node14 -> Node10 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node16 [label="arx.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$arx_8h.html",tooltip="Bayesian Filtering for generalized autoregressive (ARX) model."];
+  Node16 -> Node17 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node17 [label="../stat/libFN.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libFN_8h-source.html"];
+  Node17 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node16 -> Node8 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node15 -> Node11 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
 }
Index: /doc/html/classbdm_1_1EKFfull__coll__graph.dot
===================================================================
--- /doc/html/classbdm_1_1EKFfull__coll__graph.dot (revision 269)
+++ /doc/html/classbdm_1_1EKFfull__coll__graph.dot (revision 270)
@@ -10,5 +10,5 @@
   Node4 -> Node3 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node4 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv",fontname="FreeSans"];
+  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv",fontname="FreeSans"];
   Node5 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node4 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
